nav{
	font-size: 1rem;	
	font-weight: 500;
	line-height: 1.15rem;
	box-sizing: border-box;
}

nav#top{
	background-color: rgba(255,255,255,0.985);
	width: 100%;
	display: flex;
	height: var(--top);
	justify-content: space-evenly;
	align-items: flex-end;
	position: fixed;
	backdrop-filter: blur(2px);
	z-index: 1001;
	box-sizing: border-box;
	left: 0;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	mask-image: linear-gradient(to top, rgba(0, 0, 0,.85) 0%, rgba(0, 0, 0,1) 15%);
}

nav#top > inner{
	position: relative;
	width: auto;       
	box-sizing: border-box;
	display: flex;
	height: 100%;
	justify-content: flex-end;
	align-items: flex-end;
	border-bottom: 0px solid var(--c2);
    --p: 3px;
	margin-right: calc(10px + .2rem);
	margin-left: calc(10px + .2rem);
}

nav#top logo{
	width: 220px;
	position: relative;
	bottom: 10px;
	padding-left: 20px;
}
nav#top logo.upp{
	width: 200px;
	bottom: 8px;
}

nav#top > inner > .menypunkt{
	display: flex;
	height: auto;
	justify-content: flex-end;
	align-items: flex-end;
	padding: calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p));
	margin: var(--p);
	box-sizing: border-box;
	text-align: center;
	transition: background-color .2s, color .2s;
	border-radius: .3rem;
	flex-direction: column;
}
nav .menypunkt:hover{
	color: var(--c1)
}
nav#top inner > .menypunkt.active{
	color: white;
	background-color: var(--c2);
	padding: calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p))
	calc(var(--spacer) - var(--p));
	margin: var(--p);
	bottom: 0px;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
}
nav#top inner > .menypunkt.active:after{
	width: 3px;
	height: 3px;
	background-color: var(--c2);
	position: relative;
	bottom: -3px;
	display: flex;
	content: '';
	position: absolute;
	align-items: center;
}
nav#top inner > .menypunkt:hover{
	cursor: pointer;
}
.material-symbols-outlined{
	pointer-events: none;
}

flybox {
    display: flex;
    position: fixed;
    z-index: 1001;
    pointer-events: none;
    mix-blend-mode: multiply;
    border-radius: .3rem;
    box-sizing: border-box;
    border-top: solid var(--c2-50) 1px;
    border-left: solid var(--c2-50) 1px;
    border-right: solid var(--c2-50) 1px;
    border-bottom: solid var(--c2-50) 2px;
    justify-content: center;
    align-items: flex-end;
    background-image: linear-gradient(to top, rgba(255, 255, 255, 0.5) 0%, rgba(128, 128, 128, 0.5) 100%);
    mask-image: linear-gradient(to top, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
    mix-blend-mode: normal;
    /* background-color: var(--c3-10); */
}
flybox:after{
	width: 5px;
	height: 5px;
	background-color: var(--c2-50);
	position: relative;
	bottom: -5px;
	display: flex;
	content: '';
}
meny{
	border-top: solid var(--c2) 2px;
	width: calc(100% - 4px);
	position: fixed;
	left: 2px;
	top: 89px;
	z-index: 1005;
	border-radius: .2rem;
	overflow-x: hidden;
	overflow-y: auto;
	height: 0;
	border-left: solid var(--c4-50) 0px;
	border-right: solid var(--c4-50) 0px;
	border-bottom: solid var(--c4-50) 0px;
	background-image: linear-gradient(to top, var(--menubottom) 0%, white 30%);
	box-shadow: 0 0 20px var(--c4-50);
	max-height: calc(100% - (var(--top) + 4px));
	display: flex;
	flex-direction: column;
	opacity:1;
}
meny[posid="bottom"]{
	top: auto;
	bottom: var(--bottom);
	border-top: solid var(--c2) 0px;
	border-bottom: solid var(--c2) 2px;
}

body[mobil="true"] meny{
	width: calc(100% - 4px);
	max-height: calc(100% - (var(--top) + var(--bottom) + 4px));
}
menycontent{
	height: fit-content;;
	opacity: 1;
	overflow: auto;
	width: 100%;
	display: flex;
	flex-direction: column;
	z-index: 0;
}

close{
	display: flex;
	justify-content: center;
	align-items: center;
	height: 40px;
	width: 40px;
	background-color: var(--c4);
	position: absolute;
	right: 0;
	bottom: 0;
	border-radius: 100% 0 .2rem 0;
	color: white;
	cursor: pointer;
	box-sizing: border-box;
	padding: .5rem 0 0 .5rem;
/*	mix-blend-mode: multiply;*/
	transition: color .3s;
	z-index: 2000;
}
meny[posid="bottom"] close{
	bottom: auto;
	top:0;
	border-radius: 0 .2rem 0 100%;
	padding: 0 0 .5rem .5rem;
}
close:hover{color:var(--c1)}

nav#top logo svg{
	width: 100%;
	overflow:visible;
	fill:var(--c2)
}
nav#top logo svg{
	width: 100%;
	overflow:visible;
	fill:var(--c2)
}
nav#top logo svg .idrettssenter{
	fill:var(--c1)
}
nav#top logo svg .ball1{
	fill:var(--c1)
}
nav#top logo svg .ball3{
	fill:var(--c3)
}
nav#top logo svg .shape2{
	fill:var(--c3)
}
nav#top logo svg .shape3{
	fill:var(--c4)
}

nav#bottom{
	width: 100%;
	background-color: rgba(255,255,255,0.90);
	backdrop-filter: blur(2px);
	display: flex;
	position: fixed;
	justify-content: center;
	align-items: center;
	left: 0;
	height: var(--bottom);
	border-top: solid 1px var(--c2);
	border-bottom: solid 1px var(--c2);
	bottom: 0px;
	z-index: 1000;
}
nav#bottom .menypunkt{
}

nav#bottom{
  display: flex;
  width: 100%;
  /* dropp space-evenly her, det gir “luft” i tillegg */
  justify-content: stretch;
  align-items: stretch;
}

nav#bottom > *{
  flex: 1 1 0;          /* like bredde til alle */
  min-width: 0;         /* viktig for at tekst kan bryte */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 var(--spacer);
  box-sizing: border-box;
  text-align: center;
  cursor: pointer;
}

nav#bottom > * + *{
  border-left: 1px solid var(--c4);
}
nav#bottom .active{
	background-color: var(--c2);
	color: white;
}
nav#bottom .menypunkt:hover{
	background-color: var(--c4-30);
}
nav#bottom .menypunkt.active:hover{
	background-color: var(--c2);
}
meny logo{
	display: flex;
	height: 100%;
	width: 90%;
	position: absolute;
	fill: var(--c4-10);
	pointer-events: none;
	justify-content: start;
	align-items: end;
	bottom: 0;
	overflow-x: hidden;
	right: 0;
}
meny logo svg .tekst{
	display:none;
}
meny logo svg{
	height: 100%;
}
search{
	display: flex;
	width: 100%;
	box-sizing: border-box;
	padding: 1em 1em 1em 1em;
	flex-direction: column;
}
search .search{
  --h: 44px;
  --r: .3rem;
  font-size: 1rem;
  display: flex;
  align-items: center;
  gap: 8px;
  width: 100%;
  padding: 6px;
  margin-block-end: 0em;
  border: 1px solid rgba(0,0,0,.14);
  border-radius: var(--r);
  background: rgba(255,255,255,.85);
	box-sizing: border-box;
}

search .search__label {
	position: absolute;
	width: 24px;
	min-height: 24px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	border: 0;
	color: var(--c4);
	z-index: 1000;
	margin-left: 0.6em;
	margin-top: .05em;
}

search .search__input{
	flex: 1 1 auto;
	height: var(--h);
	padding: 0 0 0 2rem;
	border: 0;
	outline: 0;
	background: transparent;
	font-size: 1rem;
	line-height: 1;
	color:var(--c2);
}

search .search__btn{
	transition: color .3s;
	height: var(--h);
	padding: 0 14px;
	border: 0;
	border-radius: calc(var(--r) - 4px);
	background: var(--c4);
	cursor: pointer;
	font-weight: 600;
	color:white;
}

search .search__btn:hover{
	color: var(--c1);
}

search .search:focus-within{
	border-color: rgba(0,0,0,.35);
	box-shadow: 0 0 0 3px rgba(0,0,0,.08);
}
menyboks{
	display: flex;
	flex-direction: column;	
	position: relative;
}
menyboks ul,menyboks li{
	padding: 0;
	margin: 0;
}
menyboks ul{
	padding:0 0 1rem 0;
}

menyboks li{
	display: flex;
	align-items: center;
	font-weight: 700;
	padding: .2em 1em;
	cursor: pointer;
	transition: all .3s;
	min-height: 40px;
	
}

menyboks li:hover{
	background-color: var(--c4-10);
	color: var(--c1)
}

kontaktpunkter{
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	padding: 1rem 2rem 1rem 1rem;
	gap:.2rem 2rem;
	box-sizing: border-box;
	border-top: 1px solid var(--c4-30);
	flex-wrap: wrap;
	position: relative;
}
kontaktpunkter > kontaktpunkt{
	width: auto;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	padding: .2rem;
	gap: 0 .5rem;
	box-sizing: border-box;
	height: auto;
	cursor: pointer;
	transition: color .3s;
	flex-wrap: wrap;
	position: relative;
	text-align: center;
}
kontaktpunkter > kontaktpunkt:hover{
	color: var(--c1);
}

.opening-hours{
  list-style: none;
  margin: 0;
  padding: .5rem 0;
}

.opening-hours > li{
  display: grid;
  grid-template-columns: 9ch 1fr; 
  gap: 1rem;
  padding: 0rem 1rem;
}

.opening-hours .time{
  text-align: right;           
  font-variant-numeric: tabular-nums; 
  white-space: nowrap;
}
menyboks prima{
	border-bottom: 1px solid var(--c4-10);
	align-items: center;
}
menyboks prima *{
	pointer-events: none;
}
menyboks elm[open="true"] prima{
	background-color: var(--c4-10);
	color: var(--c1);
	border-bottom: 1px solid var(--c4-50)
}
menyboks secunda{
	display: flex;
	justify-content: flex-start;
	background-color:var(--c3-10);
	padding: 0rem 0rem 1.5rem 1.5rem;
	flex-direction: column;
}

menyboks secunda table{
	font-size: .8rem;
	border: 0;
	border-collapse: collapse;
	border-spacing: 0;
	position: relative;
	width: 100%;
}

menyboks secunda table.helligdager{
	margin-top: 1rem;
	color: var(--c1);
	border-top:1px solid var(--c4-30);
	border-left:.3em solid var(--c1);
}
menyboks secunda table.helligdager td.day{
	padding: .15rem calc(.5rem - .3em) .15rem 1rem;
}
menyboks secunda table td.day{
	padding: .15rem .5rem .15rem 1rem;
	width: 10ch;
	hyphens: auto;
}
menyboks secunda table td.time{
	padding: .15rem 1rem .15rem .5rem;
	width: 12ch;
	text-align: right;
}
menyboks secunda table td.spacer{
	width: auto;
}
menyboks secunda table tr{
	border-bottom: 1px solid var(--c4-30);
	border-left: 1px solid var(--c4-30);
	cursor: default;
	transition: all .2s;
}
menyboks secunda table tr:hover{
	background-color: white;

}
dragspel{
	padding: 1rem 0 0rem 0;
	display: flex;
	flex-direction: column;
}
menyboks dragspel .bullet td {
	padding:.15rem 1rem .15rem 1rem
}

prima {
	display: grid;
	grid-template-columns: calc(100% - 1rem) 1rem;
	width: 100%;
	position: relative;
	font-weight: 700;
	padding: .2rem 1rem;
	cursor: pointer;
	transition: all .3s;
	min-height: 50px;
	font-size: 1rem;
	box-sizing: border-box;
}
prima:hover{
	background-color: var(--c4-50)
}
prima:hover{
	background-color: var(--c4-50)
}
table.helligdager tr:hover td{
	background-color: var(--c1-10);
}
menyboks > ul > li{
	display: grid;
	grid-template-rows: auto auto;
	grid-template-columns: 1fr;
}

li > menypunkt{
	grid-row: 1;
}

li > inner_contet{
	grid-row: 2;
	grid-column: 1 / -1;
	width: 100%;
	font-size: .7rem;
}
menyboks inner_contet li {
	display: flex;
	align-items: center;
	font-weight: 300;
	padding: 0em 1em;
	cursor: pointer;
	transition: all .3s;
	min-height: auto;
	line-height: 1rem;
}


elm[open="true"] sym[open="false"], 
elm[open="false"] sym[open="true"]{
	display: flex;
}

elm[open="false"] sym[open="true"], 
elm[open="true"] sym[open="false"]{
	display: none;
}

	booktime{
		position: relative;
		mix-blend-mode: multiply;
		border-radius: .3rem;
		padding: .3rem 1rem;
		text-align: center;
		width: fit-content;
		box-sizing: border-box;
		border-top: solid var(--c2-50) 1px;
		border-left: solid var(--c2-50) 1px;
		border-right: solid var(--c2-50) 1px;
		border-bottom: solid var(--c2-50) 2px;
		justify-content: center;
		align-items: flex-end;
		mask-image: linear-gradient(to top, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
		mix-blend-mode: normal;
		cursor: pointer;
		color: var(--c2);
		background-image: linear-gradient(to top, var(--c4-50), var(--c4-10));
	}
	booktime:hover{
		color: black;
		background-image: linear-gradient(to top, var(--c4-30), var(--c4-10));
	}
	menyboks{
		margin-bottom: 1rem;
	}
	menyboks grouptop{
		font-size: .65em;
		padding: 1rem 0 0 1rem;
		width: 100%;
/*		background-color: var(--c4-30);*/
		display: flex;
		letter-spacing: .05rem;
		text-transform: uppercase;
		font-weight: 300;
		color: var(--c2);
	}
menyboks#booking dragspel{
	padding: 0rem 0 0rem 0;
}

#modaliframe{
	width: 100%;
	position: relative;
	height: calc(100% - var(--topp));
	border-radius: 0 0 .5rem .5rem;
}
bookbuttons{
	margin-top:1rem;
	display: flex;
	gap: .5rem;
	flex-wrap: wrap;
}

.c1{
	width: fit-content;
	padding:.15rem 1rem .15rem 1rem
}
.c2{
	width: 100%;
	padding:.15rem 1rem .15rem .5rem
}

#liveSearchResults{
	display: flex;
	flex-direction: column;
	width: calc(100% + 2rem);
	align-items: center;
	justify-content: flex-start;
	margin-left: -1rem;
}
#liveSearchResults soketreff{
	display: flex;
	flex-direction: column;
	width: 100%;
	box-sizing: border-box;
	padding: .2rem 1rem 0rem 1rem;
	gap:.2rem;
}


#liveSearchResults soketreffinner{
	padding: .3em .8rem .5em .3rem;
	background-color: white;
	display: flex;
	align-items: center;
	gap: .5em;
	border: solid 1px var(--c4);
	border-radius: .2rem;
	transition: box-shadow .3s,background-color .3s,border .3s;
	box-sizing: border-box;
	box-shadow: 0 0 .2rem 0 var(--c4);
}
#liveSearchResults soketreffinner:hover{
	background-color: var(--c5);
	border: solid 1px var(--c3);
	box-shadow: 0 0 .7rem .35rem var(--c4);
	z-index: 10;

}

#liveSearchResults soketreffinner.bildeserie{
	min-height: 3.3rem;
}
#liveSearchResults sokimg{
	width: 2rem;
	height: 2rem;
	background-size: cover;
	display: flex;
	border-radius: 100%;
	flex: auto 0 0;
	position: absolute;
	top: .5rem;
	left: -.7rem;
	border: solid 1px var(--c3);
}
#liveSearchResults soktext{
	display: flex;
	flex-direction: column;
	padding-left: 1.5rem;
}
#liveSearchResults soktitle{
	font-weight: 700;
	font-size: .9em;
	line-height: 1.3em;
	margin: .15em 0;
}

#liveSearchResults sokres{
	font-size: .7em;
	line-height: 1.3em;
	color: var(--c3);
}
#liveSearchResults sokseksjon{
	font-size: .6em;
	line-height: 1.3em;
	font-weight: 500;
	text-transform: uppercase;
	letter-spacing: .05em;
	color: var(--c1)
}
sokres{
	display:block;
}

#liveSearchResults mark{
	padding: 0 .15em;
	background: var(--c2-30);
	border-radius: .2rem;
}